- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# CMPlayerCApp::Settings Class Reference

List of all members.

## Public Member Functions
bool | HasFixedWindowSize ()
void | ParseCommandLine (CList< CString > &cmdln)
| Settings ()
virtual | ~Settings ()
void | UpdateData (bool fSave)
void | GetFav (favtype ft, CList< CString > &sl)
void | SetFav (favtype ft, CList< CString > &sl)
void | AddFav (favtype ft, CString s)
## Public Attributes
int | nCLSwitches
CList< CString > | slFiles
CList< CString > | slDubs
CList< CString > | slSubs
CList< CString > | slFilters
__int64 | rtStart
CSize | fixedWindowSize
bool | fXpOrBetter
int | iDXVer
int | nCS
bool | fHideCaptionMenu
int | iDefaultVideoSize
bool | fKeepAspectRatio
bool | fCompMonDeskARDiff
CRecentFileAndURLList | MRU
CRecentFileAndURLList | MRUDub
CAutoPtrList< Filter > | filters
int | iDSVideoRendererType
int | iRMVideoRendererType
int | iQTVideoRendererType
int | iAPSurfaceUsage
bool | fVMRSyncFix
int | iDX9Resizer
int | nVolume
int | nBalance
bool | fMute
int | nLoops
bool | fLoopForever
bool | fRewind
int | iZoomLevel
CStringW | AudioRendererDisplayName
bool | fAutoloadAudio
bool | fAutoloadSubtitles
bool | fEnableWorkerThreadForOpening
bool | fReportFailedPins
bool | fAllowMultipleInst
int | iTitleBarTextStyle
int | iOnTop
bool | fTrayIcon
bool | fRememberZoomLevel
bool | fShowBarsWhenFullScreen
int | nShowBarsWhenFullScreenTimeOut
dispmode | dmFullscreenRes
bool | fExitFullScreenAtTheEnd
bool | fRememberWindowPos
bool | fRememberWindowSize
CRect | rcLastWindowPos
UINT | lastWindowType
CSize | AspectRatio
bool | fKeepHistory
CString | sDVDPath
bool | fUseDVDPath
LCID | idMenuLang
LCID | idAudioLang
LCID | idSubtitlesLang
bool | fAutoSpeakerConf
STSStyle | subdefstyle
bool | fOverridePlacement
int | nHorPos
int | nVerPos
int | nSPCSize
int | nSPCMaxRes
bool | fSPCPow2Tex
bool | fDisabeXPToolbars
bool | fUseWMASFReader
int | nJumpDistS
int | nJumpDistM
int | nJumpDistL
bool | fFreeWindowResizing
bool | fNotifyMSN
bool | fEnableAudioSwitcher
bool | fDownSampleTo441
bool | fAudioTimeShift
int | tAudioTimeShift
bool | fCustomChannelMapping
DWORD | pSpeakerToChannelMap [18][18]
bool | fIntRealMedia
int | iQuickTimeRenderer
float | RealMediaQuickTimeFPS
CStringArray | m_pnspresets
CList< wmcmd > | wmcmds
HACCEL | hAccel
bool | fWinLirc
CString | WinLircAddr
CWinLircClient | WinLircClient
bool | fUIce
CString | UIceAddr
CUIceClient | UIceClient
CMediaFormats | Formats
UINT | SrcFilters
UINT | TraFilters
CString | logofn
UINT | logoid
bool | logoext
int | mpegdi
double | mpegbright
double | mpegcont
double | mpeghue
double | mpegsat
bool | mpegforcedsubs
bool | mpegplanaryuv
DWORD | mpegpreffmt
int | mpasf
bool | mpanormalize
int | ac3sc
int | dtssc
int | aacsc
bool | ac3drc
bool | dtsdrc
float | mpaboost
bool | fHideCDROMsSubMenu
DWORD | priority
bool | launchfullscreen
BOOL | fEnableWebServer
int | nWebServerPort
bool | fWebServerPrintDebugInfo
bool | fWebServerUseCompression
bool | fWebServerLocalhostOnly
CString | WebRoot
CString | WebDefIndex
CString | WebServerCGI
CString | SnapShotPath
CString | SnapShotExt
CString | ISDb
## Friends
class | CMPlayerCApp

## Detailed Description

Definition at line 317 of file mplayerc.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/apps/mplayerc/mplayerc.h
- C:/guliverkli/src/apps/mplayerc/mplayerc.cpp